Name:           amahi-slideshow
Version: 1.1
Release:        1

Summary:        Slideshow is an Amahi Home Server app to display pictures with CoolIris.

Group:          System Environment/Daemons
License:        GPL
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: hdactl hda-platform
Requires: gd rubygem-gruff rubygem-rmagick rubygem-gd2 rubygem-hoe
Obsoletes: hda-app-slideshow

%define debug_package %{nil}

%description
hda-app-slideshow (a.k.a. Slideshow) is a Amahi Home Server app to
display pictures from the \\hda\pictures folder in your HDA
server.
(c) 2007-2008, Amahi

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

# platform server initialitation
mkdir -p $RPM_BUILD_ROOT/var/hda/platform/apps/slideshow
rsync -a app/ $RPM_BUILD_ROOT/var/hda/platform/apps/slideshow/
rsync -a amahi-wallpapers $RPM_BUILD_ROOT/var/hda/platform/apps/slideshow/

%clean
rm -rf $RPM_BUILD_ROOT

%post

if [ -e /var/hda/files/pictures ] ; then
	cp -a /var/hda/platform/apps/slideshow/amahi-wallpapers /var/hda/files/pictures/
	chown --reference /var/hda/files/pictures /var/hda/files/pictures/amahi-wallpapers
fi
/sbin/service httpd reload &> /dev/null

%preun
if [ "$1" = 0 ]; then
	# not an install
	/sbin/service httpd reload &> /dev/null
fi

%files
%defattr(-,root,root,-)
/var/hda/platform/apps/slideshow/*


%changelog
* Tue Jun 10 2008 Carlos Puchol
- post scriplet fixes
* Sun Mar 11 2007 Carlos Puchol
- initial version
